Bug 3688 - Broken libiconv detection in configure
Broken libiconv detection in configure
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Other
unspecified
Other FreeBSD
: P3 normal
: ---
Assigned To: Jelmer Vernooij
Andrew Bartlett
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-15 22:57 UTC by Timur Bakeyev
Modified: 2006-05-13 12:16 UTC (History)
1 user (show)

See Also:


Attachments
first part of the fix (2.84 KB, patch)
2006-04-15 22:59 UTC, Timur Bakeyev
no flags Details
second part of the fix (2.20 KB, patch)
2006-04-15 23:00 UTC, Timur Bakeyev
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timur Bakeyev 2006-04-15 22:57:58 UTC
Ok, it's not entirely broken, as it manages to find the right library, but still it gives wrong diagnostic:

checking for iconv in /usr/local... yes
checking for working iconv... no
configure: WARNING: Sufficient support for iconv function was not found.
    Install libiconv from http://freshmeat.net/projects/libiconv/ for better charset compatibility!

But in the config.mk we can see that -liconv is added, together with /usr/local/{include,lib}.

So, here I aatach two patches that eliminate this wrong diagnostics as well as doing things in a bit cleaner way.
Comment 1 Timur Bakeyev 2006-04-15 22:59:54 UTC
Created attachment 1856 [details]
first part of the fix
Comment 2 Timur Bakeyev 2006-04-15 23:00:38 UTC
Created attachment 1857 [details]
second part of the fix
Comment 3 Jelmer Vernooij 2006-04-20 07:54:58 UTC
Taking this bug.
Comment 4 Jelmer Vernooij 2006-05-13 12:16:04 UTC
Fixed in r15568